---
- include: helm-install.yml
  tags: helm-install

- include: 00-default-settings-master.yml
  tags: default_setting
  when: kubernetes_role == 'master'

- include: 00-default-settings-node.yml
  tags: default_setting_node
  when: kubernetes_role == 'node'

- include: 01-storage-install.yml
  tags: storage-install
  when: kubernetes_role == 'master'

- include: 02-base-install.yml
  tags: base-install
  when: kubernetes_role == 'master'

- include: 03-ddl-dml.yml
  tags: ddl-dml
  when: kubernetes_role == 'master'

- include: 04-keycloak-install.yml
  tags: keycloak-install
  when: kubernetes_role == 'master'

- include: 05-imxc-install.yml
  tags: imxc-install
  when: kubernetes_role == 'master'

- include: 06-imxc-ui-install.yml
  tags: imxc-ui-install
  when: kubernetes_role == 'master'

- include: 07-keycloak-setting.yml
  tags: keycloak-setting
  when: kubernetes_role == 'master'

- include: 08-finish.yml
  tags: finish
  when: kubernetes_role == 'master'